## debiandoc-sgml 1.0.5

=== Makefile ===
# Makefile for debiandoc-sgml

prefix=/usr/local
bindir=$(prefix)/bin
libdir=$(prefix)/lib/debiandoc-sgml
docdir=$(prefix)/doc
mydocdir=$(docdir)/debiandoc-sgml
htmldocdir=$(mydocdir)/markup.html
sgmllibdir=$(libdir)/sgml
catalog=$(sgmllibdir)/catalog
pathlibdir=$(libdir)/bin
speclibdir=$(libdir)/spec
mandir=$(prefix)/man
man1dir=$(prefix)/man/man1
man1=1

INSTALL=install
INSTALL_DIR=$(INSTALL) -d -m 755
INSTALL_SCRIPT=$(INSTALL) -c -m 755
INSTALL_DATA=$(INSTALL) -c -m 644

STDCONVERSIONS= debiandoc2html debiandoc2lout debiandoc2text debiandoc2textov
PROGRAMS= $(STDCONVERSIONS) debiandoc2ps
MAN1S= debiandoc2ps
STDCONVMAN= debiandoc2ps
HELPERS= saspconvert
SPECS= text html lout
SGMLS= catalog debiandoc.dtd

PATH:=:$(PATH)
RM=/bin/rm

version=1.0

all:		$(STDCONVERSIONS) markup.html-stamp

$(STDCONVERSIONS):	template mkconversions Makefile
		sh mkconversions $(version) $(speclibdir) $(sgmllibdir) $(pathlibdir)

markup.html-stamp:	markup.sgml debiandoc.dtd spec-html
		nsgmls -l -D. markup.sgml >markup.sasp
		./saspconvert <markup.sasp >markup.sasp-lout size book
		rm -rf markup.html
		sgmlspl spec-html <markup.sasp-lout markup.html/
		touch markup.html-stamp

install:	all
		$(INSTALL_DIR) $(bindir) $(sgmllibdir) $(pathlibdir) \
				$(speclibdir) $(htmldocdir) $(man1dir)
		set -e; for f in $(PROGRAMS); do $(INSTALL_SCRIPT) $$f $(bindir); done
		set -e; for f in $(HELPERS); do $(INSTALL_SCRIPT) $$f $(pathlibdir); done
		set -e; for f in $(SGMLS); do $(INSTALL_DATA) $$f $(sgmllibdir); done
		set -e; for f in $(SPECS); \
		 do $(INSTALL_DATA) spec-$$f $(speclibdir)/$$f; done
		set -e; for f in $(MAN1S); \
		 do $(INSTALL_DATA) $$f.1 $(man1dir)/$$f.$(man1); done
		set -e; for f in $(STDCONVERSIONS); do \
		 ln -s $(STDCONVMAN).$(man1) $(man1dir)/$$f.$(man1); done
		set -e; for f in markup.html/*; \
		 do $(INSTALL_DATA) $$f $(htmldocdir)/.; done
		$(INSTALL_DATA) markup.sgml $(mydocdir)/markup.sgml

clean:
		rm -rf {markup,test}.{ps,text,lout,sasp,html}*
		rm -f $(STDCONVERSIONS) *.new lout.li *.lix *.ldx *~

#clean:
#		$(RM) *.html/*
#		$(RM) -f *.html-stamp *.sasp *.*-sasp *.plain *.ostruck *~
#		$(RM) -f lout.li {policy,programmer}.ld *.lix *.ldx ps *.new

=== debian/changelog ===
debiandoc-sgml (1.0.5) unstable; urgency=low (HIGH for building dpkg)

  * debiandoc2ps -O (output to stdout) works.
  * Lout converter uses `paperconf' (thanks to Yves Arrouye).

  * Manpages installed compressed.
  * dpkg-gencontrol invocation moved to near end of debian/rules.
  * Some typos in markup manual corrected.
  * Spurious `t' file removed from source package.
  * Updated to Standards-Version 2.1.0.0.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 1 Sep 1996 23:59:20 +0100

debiandoc-sgml (1.0.4) unstable; urgency=low

  * converter scripts remove temporary files and can write to stdout.
  * PostScript converter can produce 1-up as well as 2-up output.
  * PostScript converter has some support for paper size determination.

  * Split binary target into binary-indep and binary-arch.
  * Updated Standards-Version.
  * Released into `unstable'.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Fri, 23 Aug 1996 12:04:28 +0100

debiandoc-sgml (1.0.3) experimental; urgency=low

  * Converters work again.  Oops.
  * Lout (and hence PostScript) more space at end of compact list.
  * Minor markup manual improvements.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Mon, 12 Aug 1996 02:30:24 +0100

debiandoc-sgml (1.0.2) experimental; urgency=medium

  * PostScript converter really works now, honest.
  * Markup authors' manual provided (in /usr/doc, HTML format).
  * Manpages for converters included.

  * Source package archival corrected.
  * PostScript converter displays error messages from Lout.
  * saspconvert prints correct name in error messages.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 11 Aug 1996 17:42:46 +0100

debiandoc-sgml (1.0.1) experimental; urgency=low

  * Fixed misplaced bracket in Lout formatter.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 11 Aug 1996 13:26:27 +0100

debiandoc-sgml (1.0) experimental; urgency=LOW

  * Initial release.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sat, 10 Aug 1996 22:01:38 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ian Jackson <ian@chiark.chu.cam.ac.uk>
Standards-Version: 2.1.0.0

Package: debiandoc-sgml
Architecture: all
Depends: sp, sgmlspm, linuxdoc-sgml
Optional: psutils
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals in the dpkg package.  It reads markup files and
 produces HTML, PostScript (via Lout) and plain text (with overstrikes
 a la troff or not).
 .
 You need this package to build the dpkg binary package.  This package
 itself relies on James Clark's nsgmls SGML parser, which is in the sp
 package.  It is based the sgmlspm Perl modules, and requires a
 character mapping file from linuxdoc-sgml.  The PostScript output
 converter requires psutils in order to do its 2-up convertion.

## debiandoc-sgml 1.0.7

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 STDCONVMAN= debiandoc2ps
 HELPERS= saspconvert
 SPECS= text html lout
-SGMLS= catalog debiandoc.dtd
+SGMLS= catalog debiandoc.dtd general
 
 PATH:=:$(PATH)
 RM=/bin/rm

=== debian/changelog ===
debiandoc-sgml (1.0.7) frozen unstable; urgency=medium

  * New maintainer.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 17 Apr 1997 15:58:01 +0200

debiandoc-sgml (1.0.6-1.2) frozen unstable; urgency=medium

  * Upgraded to package standard 2.1.3.0.
  * Package is now independend from sgml-tools.
  * Fixed debiandoc2ps to work with new bash 2.0.
  * Now suggests lout.
  * Uploaded to frozen and unstable.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 3 Apr 1997 20:36:45 +0200

debiandoc-sgml (1.0.6-1.1) frozen unstable; urgency=medium

  * Non-maintainer release.
  * Fix to make package work with sgml-tools.
  * Depend on sgml-tools.
  * Uploaded to frozen and unstable.

 -- Christian Schwarz <schwarz@debian.org>  Mon, 31 Mar 1997 18:34:14 +0200

debiandoc-sgml (1.0.6) unstable; urgency=medium

  * bash 2.0 compatible syntax in usage error message.  (Bug#7064.)
  * `paper' program and env. var in libpaper now called `paperconf';
  * Dependency on libpaper added.
  * Maintainer email address corrected/updated.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Tue, 4 Feb 1997 22:54:38 +0000

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Christian Schwarz <schwarz@debian.org>
Standards-Version: 2.1.3.0

Package: debiandoc-sgml
Architecture: all
Depends: sp, sgmlspm
Suggests: psutils, libpaper (>= 1.0.1-2), lout
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals in the dpkg package.  It reads markup files and
 produces HTML, PostScript (via Lout) and plain text (with overstrikes
 a la troff or not).
 .
 You need this package to build the dpkg binary package.  This package
 itself relies on James Clark's nsgmls SGML parser, which is in the sp
 package, and on the sgmlspm Perl modules.  The PostScript output
 requires psutils and libpaper in order when doing its 2-up printing.

=== debian/rules ===
#!/usr/bin/make -f
# debian.rules file originally from GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)

package=debiandoc-sgml

build:
	$(checkdir)
	$(MAKE) prefix=/usr

clean:
	$(checkdir)
	$(MAKE) clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-arch:	checkroot build
	$(checkdir)

binary-indep:		checkroot build
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	$(MAKE) prefix=debian/tmp/usr install
	find debian/tmp/usr/man -type f | xargs gzip -9v
	set -e; for f in html lout text textov; do \
		rm debian/tmp/usr/man/man1/debiandoc2$$f.1; \
		ln -s debiandoc2ps.1.gz debian/tmp/usr/man/man1/debiandoc2$$f.1.gz; \
	done
	cp debian/{copyright,changelog} debian/tmp/usr/doc/$(package)/.
	gzip -9v debian/tmp/usr/doc/$(package)/changelog
	dpkg-gencontrol >debian/tmp/DEBIAN/control
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debiandoc.dtd -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary source diff clean checkroot

## debiandoc-sgml 1.0.18

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## package definitions
dtd	= debiandoc
package = $(dtd)-sgml

## ----------------------------------------------------------------------
## general directory definitions
prefix	= /usr/local
bindir	= $(prefix)/bin
libdir	= $(prefix)/lib
mandir	= $(prefix)/man
man1dir	= $(mandir)/man1
man1	= 1
docdir	= $(prefix)/doc

## ----------------------------------------------------------------------
## package directory definitions
sgml_libdir	= $(libdir)/sgml
sgml_dtddir	= $(sgml_libdir)/dtd
sgml_entdir	= $(sgml_libdir)/entities
pkg_libdir	= $(libdir)/$(package)
pkg_bindir	= $(pkg_libdir)/bin
pkg_specdir	= $(pkg_libdir)/spec
pkg_i18ndir	= $(pkg_specdir)/i18n
pkg_docdir	= $(docdir)/$(package)
pkg_htmldir	= $(pkg_docdir)/markup.html

## ----------------------------------------------------------------------
## general installation definitions
INSTALL		= install
INSTALL_DIR	= $(INSTALL) -d -m 755
INSTALL_SCRIPT	= $(INSTALL) -c -m 755
INSTALL_DATA	= $(INSTALL) -c -m 644

## ----------------------------------------------------------------------
## package file definitions
DTDS		= $(dtd).dtd
ENTITIES	= general
CATALOG		= sgml.catalog
SPECS		= html lout text
STDCONVERSIONS	= $(dtd)2html $(dtd)2lout $(dtd)2text $(dtd)2textov
PROGRAMS	= $(STDCONVERSIONS) $(dtd)2ps
MAN1S		= $(dtd)2ps
STDCONVMAN	= $(dtd)2ps
HELPERS		= saspconvert
LANGUAGES	= da de es fr it nl 
I18NS		= $(foreach spec,$(SPECS),$(addsuffix .$(spec),$(LANGUAGES)))

## ----------------------------------------------------------------------
PATH:=:$(PATH)
RM=/bin/rm -f
RMD=/bin/rm -rf
RMDIR=/bin/rmdir

## ----------------------------------------------------------------------
## targets
all:		bin doc

bin:		$(STDCONVERSIONS)

$(STDCONVERSIONS):	template mkconversions conversions
		sh mkconversions \
			$(pkg_specdir) $(sgml_libdir) $(pkg_bindir)

doc:		markup.html

markup.html:	markup.sgml dtd/debiandoc.dtd spec-html
		nsgmls -l -D. markup.sgml >markup.sasp
		./saspconvert size book <markup.sasp >markup.sasp-lout
		rm -rf markup.html
		sgmlspl spec-html markup.html/ <markup.sasp-lout 

install:	all
		$(INSTALL_DIR) \
				$(bindir) $(man1dir) \
				$(sgml_entdir) $(sgml_dtddir) \
				$(pkg_bindir) \
				$(pkg_specdir) $(pkg_i18ndir) \
				$(pkg_docdir) $(pkg_htmldir)
		set -e; \
		for f in $(PROGRAMS); \
		do \
			$(INSTALL_SCRIPT) $$f $(bindir); \
		done
		set -e; \
		for f in $(MAN1S); \
		do \
			$(INSTALL_DATA) $$f.1 $(man1dir)/$$f.$(man1); \
		done
		set -e; \
		for f in $(STDCONVERSIONS); \
		do \
			ln -sf $(STDCONVMAN).$(man1) $(man1dir)/$$f.$(man1); \
		done
		set -e; \
		for f in $(DTDS); \
		do \
			$(INSTALL_DATA) dtd/$$f $(sgml_dtddir); \
		done
		set -e; \
		for f in $(ENTITIES); \
		do \
			$(INSTALL_DATA) entities/$$f $(sgml_entdir); \
		done
		set -e; \
		for f in $(CATALOG); \
		do \
			$(INSTALL_DATA) $$f $(pkg_libdir); \
		done
		set -e; \
		for f in $(HELPERS); \
		do \
			$(INSTALL_SCRIPT) $$f $(pkg_bindir); \
		done
		set -e; \
		for f in $(SPECS); \
		do \
			$(INSTALL_DATA) spec-$$f $(pkg_specdir)/$$f; \
		done
		set -e; \
		for f in $(I18NS); \
		do \
			$(INSTALL_DATA) i18n/$$f $(pkg_i18ndir)/$$f; \
		done
		set -e; \
		for f in markup.html/*; \
		do \
			$(INSTALL_DATA) $$f $(pkg_htmldir)/.; \
		done
		$(INSTALL_DATA) markup.sgml $(pkg_docdir)/markup.sgml

uninstall:	
		set -e; \
		if [ -d $(pkg_htmldir) ]; \
		then \
			$(RM) $(pkg_htmldir)/*; \
			if [ -z "$(ls $(pkg_htmldir))" ]; \
			then \
				$(RMDIR) $(pkg_htmldir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_docdir) ]; \
		then \
			$(RM) $(pkg_docdir)/markup.sgml; \
			if [ -z "$(ls $(pkg_docdir))" ]; \
			then \
				$(RMDIR) $(pkg_docdir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_i18ndir) ]; \
		then \
			for f in $(I18NS); \
			do \
				$(RM) $(pkg_i18ndir)/$$f; \
			done; \
			if [ -z "$(ls $(pkg_i18ndir))" ]; \
			then \
				$(RMDIR) $(pkg_i18ndir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_specdir) ]; \
		then \
			for f in $(SPECS); \
			do \
				$(RM) $(pkg_specdir)/$$f; \
			done; \
			if [ -z "$(ls $(pkg_specdir))" ]; \
			then \
				$(RMDIR) $(pkg_specdir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_bindir) ]; \
		then \
			for f in $(HELPERS); \
			do \
				$(RM) $(pkg_bindir)/$$f; \
			done; \
			if [ -z "$(ls $(pkg_bindir))" ]; \
			then \
				$(RMDIR) $(pkg_bindir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_libdir) ]; \
		then \
			for f in $(CATALOG); \
			do \
				$(RM) $(pkg_libdir)/$$f; \
			done; \
			if [ -z "$(ls $(pkg_libdir))" ]; \
			then \
				$(RMDIR) $(pkg_libdir); \
			fi; \
		fi
		set -e; \
		if [ -d $(sgml_entdir) ]; \
		then \
			for f in $(ENTITIES); \
			do \
				$(RM) $(sgml_entdir)/$$f; \
			done; \
			if [ -z "$(ls $(sgml_entdir))" ]; \
			then \
				$(RMDIR) $(sgml_entdir); \
			fi; \
		fi
		set -e; \
		if [ -d $(sgml_dtddir) ]; \
		then \
			for f in $(DTDS); \
			do \
				$(RM) $(sgml_dtddir)/$$f; \
			done; \
			if [ -z "$(ls $(sgml_dtddir))" ]; \
			then \
				$(RMDIR) $(sgml_dtddir); \
			fi; \
		fi
		set -e; \
		if [ -d $(sgml_libdir) ] && [ -z "$(ls $(sgml_libdir))" ]; \
		then \
			$(RMDIR) $(sgml_libdir); \
		fi
		set -e; \
		for f in $(STDCONVERSIONS); \
		do \
			$(RM) $(man1dir)/$$f.$(man1); \
		done
		set -e; \
		for f in $(MAN1S); \
		do \
			$(RM) $(man1dir)/$$f.$(man1); \
		done
		set -e; \
		for f in $(PROGRAMS); \
		do \
			$(RM) $(bindir)/$$f; \
		done

clean:
		rm -rf {markup,test}.{ps,text,lout,sasp,html}*
		rm -f $(STDCONVERSIONS) *.new lout.li *.lix *.ldx *~

## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.0.18) frozen unstable; urgency=high

  * spec-html,spec-lout: fixed a stupid perl typo (fixes bug #22316)

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Mon, 11 May 1998 22:47:24 +0200

debiandoc-sgml (1.0.17) frozen unstable; urgency=low

  * 
  * spec-text: fixed copyright section at wrong place bug (fixes bug #14749)
  * spec-lout: fixed consecutive footnotes bug (fixes bug #4478)
  * spec-{html,lout,text}: complete overhaul and clean-up

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Wed, 22 Apr 1998 23:31:03 +0200

debiandoc-sgml (1.0.16) frozen unstable; urgency=low

  * README: updated to reflect current usage and copyright
  * debian/control: updated to reflect current usage
  * debian/copyright: updated to reflect current usage and copyright
  * debian/rules: changed to use debhelper
  * debian/rules: removed handling of sgml.catalog
  * Makefile: added handling of sgml.catalog
  * debian/control: updated to debian standard 2.4.0.0
  * debiandoc2* scripts: fixed insecure temp file creation (fixes bug #19717)

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Sat,  4 Apr 1998 22:08:39 +0200

debiandoc-sgml (1.0.15) frozen unstable; urgency=medium

  * Changed suggested libpaper into libpaperg (fixes bug #20014). 
  * Removed explicit use of /usr/lib/sgml and /etc/sgml.catalog from the 
    debiandoc2* scripts, since nsgmls already "knows" about them (fixes 
    second part of bug #19718). 
  * Added uninstall target to Makefile to help keeping /usr/local/ clean. 
  * Fixed dependency bug in Makefile causing debian/tmp paths in scripts
    (fixes bug #19863 and first part of bug #19718). 

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Tue, 17 Mar 1998 13:28:12 +0100

debiandoc-sgml (1.0.14) unstable; urgency=low

  * Added support for i18n (bug #16173).
  * Added <strong> tag (bug #14925).

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Thu, 26 Feb 1998 21:43:25 +0100

debiandoc-sgml (1.0.13) unstable; urgency=low

  * Fixed debiandoc2ps bug: excluding tilde character in output (bug #17623). 

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Tue, 17 Feb 1998 21:19:35 +0100

debiandoc-sgml (1.0.12) unstable; urgency=low

  * New maintainer. 

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Wed, 14 Jan 1998 20:11:13 +0100

debiandoc-sgml (1.0.11) unstable; urgency=low

  * Fixed bugs in HTML output (bug #12258)
    Thanks to Ian for the patch!
  * Upgraded to standards version 2.3.0.0

 -- Christian Schwarz <schwarz@debian.org>  Fri, 17 Oct 1997 16:23:32 +0200

debiandoc-sgml (1.0.10) unstable; urgency=low

  * Fixed debiandoc2ps' usage message (bug #11424).
  * Fixed debiandoc2lout problem: lout produced an error message if
    $title or $version contained newlines (bug #11427).
  * Thanks to Ian for the patches!

 -- Christian Schwarz <schwarz@debian.org>  Sat,  2 Aug 1997 19:18:53 +0200

debiandoc-sgml (1.0.9) unstable; urgency=low

  * Fixed bug that occured with perl5.004: debiandoc2text added
    mysterious digits at end of lines.
  * Upgraded to standards version 2.2.0.0.

 -- Christian Schwarz <schwarz@debian.org>  Sat, 19 Jul 1997 18:30:03 +0200

debiandoc-sgml (1.0.8) unstable; urgency=low

  * Moved dtd into /usr/lib/sgml/dtd (fixed bug #8485).
  * Moved "general" entities into /usr/lib/sgml/entities.
  * Added dependency on sgml-base.
  * Uses install-sgmlcatalog to install SGML catalog file.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 6 May 1997 17:11:36 +0200

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>
Standards-Version: 2.4.0.0

Package: debiandoc-sgml
Architecture: all
Depends: sgml-base, sp, sgmlspm
Suggests: lout, psutils, libpaperg
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, PostScript 
 (via Lout) and plain text (with overstrikes a la troff or not).
 .
 This package relies on James Clark's nsgmls SGML parser, which is in 
 the sp package, and on the sgmlspm Perl modules.  The PostScript output
 requires the psutils and libpaperg packages for its 2-up printing.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package compile and build script
## ----------------------------------------------------------------------
## Copyright 1994,1995 by Ian Jackson.
## I hereby give you perpetual unlimited permission to copy,
## modify and relicense this file, provided that you do not remove
## my name from the file itself.  (I assert my moral right of
## paternity under the Copyright, Designs and Patents Act 1988.)
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## targets
build:
	dh_testdir
	$(MAKE) prefix=/usr

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------

## debiandoc-sgml 1.1.12

=== Makefile ===
## ----------------------------------------------------------------------
## Makefile: 
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## General directory definitions
prefix		= /usr/local
lib_dir		= $(prefix)/lib
bin_dir		= $(prefix)/bin
man_dir		= $(prefix)/man
doc_dir		= $(prefix)/doc
share_dir	= $(prefix)/share

## ----------------------------------------------------------------------
## SGML directory definitions
sgml_dir	= $(lib_dir)/sgml
dtd_dir		= $(sgml_dir)/dtd
ent_dir		= $(sgml_dir)/entities

## ----------------------------------------------------------------------
## Manual pages directory definitions
man1		= 1
man1_dir	= $(man_dir)/man$(man1)

## ----------------------------------------------------------------------
## Doc-base directory definitions
doc-base_dir	= $(share_dir)/doc-base

## ----------------------------------------------------------------------
## Package definitions
dtd_name	= debiandoc
pkg_name 	= $(dtd_name)-sgml
pkg_sgml	= $(pkg_name).sgml
pkg_html	= $(pkg_name).html

## ----------------------------------------------------------------------
## Package directory definitions
pkg_lib_dir	= $(lib_dir)/$(pkg_name)
pkg_spec_dir	= $(pkg_lib_dir)/spec
pkg_i18n_dir	= $(pkg_spec_dir)/i18n
pkg_bin_dir	= $(pkg_lib_dir)/bin
pkg_sgml_dir	= $(sgml_dir)/DebianDoc
pkg_dtd_dir	= $(pkg_sgml_dir)/dtd
pkg_doc_dir	= $(doc_dir)/$(pkg_name)
pkg_html_dir	= $(pkg_doc_dir)/$(pkg_html)

## ----------------------------------------------------------------------
## Package file definitions
DTDS		= $(dtd_name).dtd
ENTITIES	= general
CATALOG		= sgml.catalog
SPECS		= html latex2e lout texinfo text textov
MODULES		= DebianDoc_SGML.pm
BCONVS		= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
PCONVS		= $(dtd_name)2dvi $(dtd_name)2dvips $(dtd_name)2info
PROGRAMS	= $(BCONVS) $(PCONVS) $(dtd_name)2ps
MAN1S		= $(dtd_name)2ps
CONVSMAN	= $(dtd_name)2ps
HELPERS		= saspconvert saspconvert2
LANGUAGES	= da de es fr it nl 
I18NS		= $(foreach spec,$(SPECS),$(addsuffix .$(spec),$(LANGUAGES)))
DOCIDS		= $(pkg_name)

## ----------------------------------------------------------------------
## Package specific install definitions
NSGMLS		= nsgmls -l -D.
SASPCONVERT	= ./saspconvert size
SASPCONVERT2	= ./saspconvert2 book
SGMLSPL		= sgmlspl spec/html

## ----------------------------------------------------------------------
## General (un)install definitions
SHELL		= /bin/bash
PATH		:=:$(PATH)
INSTALL		= /usr/bin/install
INSTALL_DIR	= $(INSTALL) -d -m 755
INSTALL_SCRIPT	= $(INSTALL) -c -m 755
INSTALL_DATA	= $(INSTALL) -c -m 644
LN		= /bin/ln -sf
RM		= /bin/rm -f
RMR		= /bin/rm -rf
RMDIR		= /bin/rmdir

## ----------------------------------------------------------------------
## Targets
all:		bin doc

bin:		$(BCONVS)

$(BCONVS):	template conversions mkconversions
		./mkconversions $(pkg_bin_dir) $(pkg_spec_dir)

doc:		$(pkg_html)

$(pkg_html):	$(pkg_sgml) spec/html dtd/$(dtd_name).dtd saspconvert
		$(RMR) $@
		set -e; \
		export SGML_CATALOG_FILES="$(CATALOG)"; \
		export SGML_SEARCH_PATH="."; \
		export PERL5LIB="spec"; \
		$(NSGMLS) $< | $(SASPCONVERT) | $(SASPCONVERT2) | $(SGMLSPL) $@/

install:	all
		set -e; \
		$(INSTALL_DIR) $(pkg_lib_dir); \
		for f in $(CATALOG); \
		do \
			$(INSTALL_DATA) $$f $(pkg_lib_dir); \
		done
		set -e; \
		$(INSTALL_DIR) $(pkg_spec_dir); \
		for f in $(SPECS) $(MODULES); \
		do \
			$(INSTALL_DATA) spec/$$f $(pkg_spec_dir)/$$f; \
		done
		set -e; \
		$(INSTALL_DIR) $(pkg_i18n_dir); \
		for f in $(I18NS); \
		do \
			if [ -f i18n/$$f ]; \
			then \
				$(INSTALL_DATA) i18n/$$f $(pkg_i18n_dir)/$$f; \
			fi; \
		done
		set -e; \
		$(INSTALL_DIR) $(pkg_bin_dir); \
		for f in $(HELPERS); \
		do \
			$(INSTALL_SCRIPT) $$f $(pkg_bin_dir); \
		done
		set -e; \
		$(INSTALL_DIR) $(ent_dir); \
		for f in $(ENTITIES); \
		do \
			$(INSTALL_DATA) entities/$$f $(ent_dir); \
		done
		set -e; \
		$(INSTALL_DIR) $(dtd_dir); \
		for f in $(DTDS); \
		do \
			$(INSTALL_DATA) dtd/$$f $(dtd_dir); \
		done
		set -e; \
		$(INSTALL_DIR) $(pkg_dtd_dir); \
		$(LN) ../../dtd/$(dtd_name).dtd $(pkg_dtd_dir)/`basename $(pkg_sgml_dir)`
		set -e; \
		$(INSTALL_DIR) $(pkg_doc_dir); \
		$(INSTALL_DATA) $(pkg_sgml) $(pkg_doc_dir)/$(pkg_sgml)
		set -e; \
		$(INSTALL_DIR) $(pkg_html_dir); \
		for f in $(pkg_html)/*; \
		do \
			$(INSTALL_DATA) $$f $(pkg_html_dir)/.; \
		done
		set -e; \
		$(INSTALL_DIR) $(doc-base_dir); \
		for f in $(DOCIDS); \
		do \
			$(INSTALL_DATA) doc-base/$$f $(doc-base_dir); \
		done
		set -e; \
		$(INSTALL_DIR) $(bin_dir); \
		for f in $(PROGRAMS); \
		do \
			$(INSTALL_SCRIPT) $$f $(bin_dir); \
		done
		set -e; \
		$(INSTALL_DIR) $(man1_dir); \
		for f in $(MAN1S); \
		do \
			$(INSTALL_DATA) $$f.$(man1) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(BCONVS) $(PCONVS); \
		do \
			$(LN) $(CONVSMAN).$(man1) $(man1_dir)/$$f.$(man1); \
		done

uninstall:	
		set -e; \
		for f in $(BCONVS) $(PCONVS); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done; \
		for f in $(MAN1S); \
		do \
			$(RM) $(man1_dir)/$$f.$(man1); \
		done
		set -e; \
		for f in $(PROGRAMS); \
		do \
			$(RM) $(bin_dir)/$$f; \
		done
		set -e; \
		if [ -d $(doc-base_dir) ]; \
		then \
			for f in $(DOCIDS); \
			do \
				$(RM) $(doc-base_dir)/$$f; \
			done; \
			if [ -z "`ls $(doc-base_dir)`" ]; \
			then \
				$(RMDIR) $(doc-base_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_html_dir) ]; \
		then \
			$(RM) $(pkg_html_dir)/*; \
			if [ -z "`ls $(pkg_html_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_html_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_doc_dir) ]; \
		then \
			$(RM) $(pkg_doc_dir)/$(pkg_sgml); \
			if [ -z "`ls $(pkg_doc_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_doc_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_dtd_dir) ]; \
		then \
			$(RM) $(pkg_dtd_dir)/`basename $(pkg_sgml_dir)`; \
			if [ -z "`ls $(pkg_dtd_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_dtd_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_sgml_dir) ] && [ -z "`ls $(pkg_sgml_dir)`" ]; \
		then \
			$(RMDIR) $(pkg_sgml_dir); \
		fi
		set -e; \
		if [ -d $(dtd_dir) ]; \
		then \
			for f in $(DTDS); \
			do \
				$(RM) $(dtd_dir)/$$f; \
			done; \
			if [ -z "`ls $(dtd_dir)`" ]; \
			then \
				$(RMDIR) $(dtd_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(ent_dir) ]; \
		then \
			for f in $(ENTITIES); \
			do \
				$(RM) $(ent_dir)/$$f; \
			done; \
			if [ -z "`ls $(ent_dir)`" ]; \
			then \
				$(RMDIR) $(ent_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(sgml_dir) ] && [ -z "`ls $(sgml_dir)`" ]; \
		then \
			$(RMDIR) $(sgml_dir); \
		fi
		set -e; \
		if [ -d $(pkg_bin_dir) ]; \
		then \
			for f in $(HELPERS); \
			do \
				$(RM) $(pkg_bin_dir)/$$f; \
			done; \
			if [ -z "`ls $(pkg_bin_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_bin_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_i18n_dir) ]; \
		then \
			for f in $(I18NS); \
			do \
				$(RM) $(pkg_i18n_dir)/$$f; \
			done; \
			if [ -z "`ls $(pkg_i18n_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_i18n_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_spec_dir) ]; \
		then \
			for f in $(SPECS) $(MODULES); \
			do \
				$(RM) $(pkg_spec_dir)/$$f; \
			done; \
			if [ -z "`ls $(pkg_spec_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_spec_dir); \
			fi; \
		fi
		set -e; \
		if [ -d $(pkg_lib_dir) ]; \
		then \
			for f in $(CATALOG); \
			do \
				$(RM) $(pkg_lib_dir)/$$f; \
			done; \
			if [ -z "`ls $(pkg_lib_dir)`" ]; \
			then \
				$(RMDIR) $(pkg_lib_dir); \
			fi; \
		fi

clean:
		$(RMR) $(pkg_html)
		$(RM) $(BCONVS)

## ----------------------------------------------------------------------

=== debian/changelog ===
debiandoc-sgml (1.1.12) frozen; urgency=low

  * Upload to frozen without any code changes to fix a missing "Suggests"
    on libwww-perl needed for creating the HTML output (fixing bug #32467
    as well as partly bug #32311)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 29 Jan 1999 21:31:57 +0100

debiandoc-sgml (1.1.11) frozen; urgency=high

  * Upload to frozen without code changes per request of Adam Di Carlo as
    this version is needed to build the boot-floppies package for slink
    (fixing bug #31962).  Adam has tested version 1.1.10 extensively and
    this upload should not harm the pending release of slink in any way.

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 16 Jan 1999 13:41:17 +0100

debiandoc-sgml (1.1.10) unstable; urgency=low

  * spec/*: reimplementation of handling <url> and related tags using the
    URI::URL module, including handling fragments correctly (fixing bug
    #29339) (now really fixing the stupid bug in handling <url> which
    version 1.1.9 was supposed to do)
  * spec/*: moved one more common functionality to the common module

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 14 Dec 1998 17:40:01 +0100

debiandoc-sgml (1.1.9) unstable; urgency=low

  * spec/Debiandoc_SGML.pm: Fixed rather stupid bug in handling <url>
    causing only the first and the last part of the url to be written
    to the generated output (thanks Ivan !!!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 13 Dec 1998 21:41:44 +0100

debiandoc-sgml (1.1.8) unstable; urgency=low

  * spec/lout: fixed new line in copyright summary (fixing bug #14746)
  * spec/html: added DOCTYPE specification to generated HTML files (fixing
    bug #29335) (set DOCTYPE to final 3.2 version of the HTML DTD; this
    now also makes the generated HTML completely weblint free :-)
  * Changed "-*- Mode: <mode> -*-" into -*- <mode -*-" (fixing bug #29840)
    (thanks Ian!!!)
  * spec/*: moved still more common functionality to the common module
    (now only the tough parts are left to do)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 12 Dec 1998 19:26:05 +0100

debiandoc-sgml (1.1.7) unstable; urgency=low

  * Added <appendix> tag
  * spec/*: moved even more common code to the common module
  * spec/*,i18n/*: cleaned-up i18n data
  * spec/texinfo: fixed incomplete <qref> handling
  * spec/html: code clean-up
  * spec/html: improved look&feel of generated HTML code and layout
  * spec/html: removed font change in handling <var>
    (fixing bug #29336 and becoming weblint free)
  * spec/text*: improved layout of document end
  * spec/*: made title of "Copyright Notice" and such consistent
  * dtd/debiandoc.dtd: allow multiple <copyrightsummary>s
  * spec/*: handle multiple <copyrightsummary>s
  * spec/html: improved handling <list> to be weblint free
    (except for the COMPACT attribute)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 17 Nov 1998 19:22:19 +0100

debiandoc-sgml (1.1.6) frozen unstable; urgency=high

  * spec/DebianDoc_SGML.pm: fixed stupid typo in handling <manref>
    (fixes bug #29198) (thanks Adam!!!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  9 Nov 1998 21:24:58 +0100

debiandoc-sgml (1.1.5) unstable; urgency=low

  * spec/*: moved some common tag processing logic to a common module
  * spec/*: fixed bug in handling <ref>s in <footnote>s
  * spec/*: consistent removal of leading and trailing whitespaces

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 15 Oct 1998 20:55:53 +0200

debiandoc-sgml (1.1.4) unstable; urgency=high

  * spec/*: fixed <url> handling (fixes bug #27141)
  * spec/text: replaced `*' by `_' to indicate emphasis
  * Added <package> tag (wishlist #26787 and #26965)
  * spec/{text|textov}: various layout improvements

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 28 Sep 1998 16:51:04 +0200

debiandoc-sgml (1.1.3) unstable; urgency=low

  * i18n/*.latex2e: unnecessary, hence removed
  * Makefile: only install i18n files if they exist
  * Added Texinfo output generation
  * Added Info via Texinfo output generation
  * spec/latex2e: improved <url> handling

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 29 Aug 1998 14:38:34 +0200

debiandoc-sgml (1.1.2) unstable; urgency=low

  * Added <file> tag
  * Added LaTeX2e output generation
  * Added DVI via LaTeX2e output generation
  * Added PostScript via DVI output generation
  * debiandoc2ps.1: various minor updates and fixes
  * debian/{postint,prerm}: Fixed broken action handling (fixes bugs
    #24918 and #25147) (thanks Adam!)
  * debiandoc2{dvi,dvips,ps}: Added check for existance of external
    programs before calling them (fixes bug #25116) (thanks Adam!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 10 Aug 1998 21:21:05 +0200

debiandoc-sgml (1.1.1) unstable; urgency=low

  * debiandoc2ps.1: changed paper(1) into papersize(5) (#24591)
  * Added PUBLIC SGML identifier (#24106)
  * Added doc-base support
  * debian/{postinst,prerm}: enhanced
  * debian/postrm: renamed to debian/prerm

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 13 Jul 1998 19:19:03 +0200

debiandoc-sgml (1.1.0) unstable; urgency=low

  * Added <url> tag
  * Added <httpsite> and <httppath> tags
  * debiandoc-sgml.sgml: documented that SUBDOC is not supported (#24026)
  * dtd/debiandoc.dtd: added "id" attribute to <book> tag
  * debiandoc-sgml.sgml: normalized
  * saspconvert: completely overhauled
  * debiandoc2ps: fixed typo in error message
  * debiandoc2ps.1: fixed various typos
  * debiandoc2ps.1: moved copyright statement to separate section
  * debiandoc2ps.1: added mention of language support via LANG
  * Makefile: various minor changes
  * spec/textov: splitted off from spec/text
  * spec-{html,lout,text}: moved to spec directory as {html,lout,text}
  * markup.sgml: renamed to debiandoc-sgml.sgml
  * Added TODO list
  * Maintainer's email address changed

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 22 Jun 1998 17:27:23 +0200

=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 2.4.0.0

Package: debiandoc-sgml
Architecture: all
Depends: sgml-base, sp, sgmlspm
Suggests: libwww-perl, libpaperg, tetex-bin, tetex-extra, lout, psutils
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces DVI (via
 LaTeX2e), HTML, Info (via Texinfo), LaTeX2e, Lout, PostScript (via
 DVI and Lout), Texinfo, and plain text (with overstrikes a la troff
 as well as without) files.
 .
 This package relies on James Clark's nsgmls SGML parser, which is in 
 the sp package, and on the sgmlspm Perl modules.
 .
 The HTML output needs the libwww-perl package.  The LaTeX2e and Lout
 based output require the libpaperg package.  Further, the LaTeX2e and
 Texinfo based output requires the tetex-bin and tetex-extra packages,
 while the Lout based output requires the lout package as well as the
 psutils package for its 2-up printing.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package compile and build script for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## targets

build:
		dh_testdir
		$(MAKE) prefix=/usr

clean:
		dh_testdir
		dh_testroot
		$(MAKE) clean
		dh_clean

binary-indep:	build
		dh_testdir
		dh_testroot
		dh_clean
		dh_installdirs
		$(MAKE) prefix=`pwd`/debian/tmp/usr install
		dh_installdocs TODO
		dh_installchangelogs
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------
